Subject: bug#1806: dired-pop-to-buffer in wrong place

From: Stefan Monnier <[email-masked]>
Date: Thu, 15 Oct 2009 20:30:28 -0400

> I think some applications (where such exceptions make sense) by default
> should ignore split-width-threshold and let `pop-to-buffer' to split
> vertically.  And window.el should provide a simple user option to define
> these exceptions that will specify how to split windows based on the
> buffer names similar to `same-window-buffer-names'.  For instance,

> (defcustom split-window-buffer-names
>            '(("*Calendar*" . vertically)
>              (" *Marked Files*" . vertically))

Please don't use a new variable, but just extend
special-display-buffer-names.  It currently already accepts some special
parameters such as same-frame, so it could also handle new parameters
like `split-orientation' with values `side-by-side' or `top-down'.

        Stefan